Translate (Apache Ant API)
Date: 2018-09-12

Package org.apache.tools.ant.taskdefs.optional.i18n

## Class Translate

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.apache.tools.ant.taskdefs.optional.i18n.Translate

- All Implemented Interfaces:
    `java.lang.Cloneable`, `SelectorContainer`

      public class Translate
      extends MatchingTask

  Translates text embedded in files using Resource Bundle files. Since ant 1.6 preserves line endings

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `fileset`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Translate()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFileset​(FileSet set)` | Adds a set of files to translate as a nested fileset element.
    `void` | `execute()` | Check attributes values, load resource map and translate
    `void` | `setBundle​(java.lang.String bundle)` | Sets Family name of resource bundle; required.
    `void` | `setBundleCountry​(java.lang.String bundleCountry)` | Sets locale specific country of resource bundle; optional.
    `void` | `setBundleEncoding​(java.lang.String bundleEncoding)` | Sets Resource Bundle file encoding scheme; optional.
    `void` | `setBundleLanguage​(java.lang.String bundleLanguage)` | Sets locale specific language of resource bundle; optional.
    `void` | `setBundleVariant​(java.lang.String bundleVariant)` | Sets locale specific variant of resource bundle; optional.
    `void` | `setDestEncoding​(java.lang.String destEncoding)` | Sets destination file encoding scheme; optional.
    `void` | `setEndToken​(java.lang.String endToken)` | Sets ending token to identify keys; required.
    `void` | `setForceOverwrite​(boolean forceOverwrite)` | Whether or not to overwrite existing file irrespective of whether it is newer than the source file as well as the resource bundle file.
    `void` | `setSrcEncoding​(java.lang.String srcEncoding)` | Sets source file encoding scheme; optional, defaults to encoding of local system.
    `void` | `setStartToken​(java.lang.String startToken)` | Sets starting token to identify keys; required.
    `void` | `setToDir​(java.io.File toDir)` | Sets Destination directory; required.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

- - ### Constructor Detail

    - #### Translate

          public Translate()

  - ### Method Detail

    - #### setBundle

          public void setBundle​(java.lang.String bundle)

      Sets Family name of resource bundle; required.
      Parameters:
        `bundle` - family name of resource bundle

    - #### setBundleLanguage

          public void setBundleLanguage​(java.lang.String bundleLanguage)

      Sets locale specific language of resource bundle; optional.
      Parameters:
        `bundleLanguage` - language of the bundle

    - #### setBundleCountry

          public void setBundleCountry​(java.lang.String bundleCountry)

      Sets locale specific country of resource bundle; optional.
      Parameters:
        `bundleCountry` - country of the bundle

    - #### setBundleVariant

          public void setBundleVariant​(java.lang.String bundleVariant)

      Sets locale specific variant of resource bundle; optional.
      Parameters:
        `bundleVariant` - locale variant of resource bundle

    - #### setToDir

          public void setToDir​(java.io.File toDir)

      Sets Destination directory; required.
      Parameters:
        `toDir` - destination directory

    - #### setStartToken

          public void setStartToken​(java.lang.String startToken)

      Sets starting token to identify keys; required.
      Parameters:
        `startToken` - starting token to identify keys

    - #### setEndToken

          public void setEndToken​(java.lang.String endToken)

      Sets ending token to identify keys; required.
      Parameters:
        `endToken` - ending token to identify keys

    - #### setSrcEncoding

          public void setSrcEncoding​(java.lang.String srcEncoding)

      Sets source file encoding scheme; optional, defaults to encoding of local system.
      Parameters:
        `srcEncoding` - source file encoding

    - #### setDestEncoding

          public void setDestEncoding​(java.lang.String destEncoding)

      Sets destination file encoding scheme; optional. Defaults to source file encoding
      Parameters:
        `destEncoding` - destination file encoding scheme

    - #### setBundleEncoding

          public void setBundleEncoding​(java.lang.String bundleEncoding)

      Sets Resource Bundle file encoding scheme; optional. Defaults to source file encoding
      Parameters:
        `bundleEncoding` - bundle file encoding scheme

    - #### setForceOverwrite

          public void setForceOverwrite​(boolean forceOverwrite)

      Whether or not to overwrite existing file irrespective of whether it is newer than the source file as well as the resource bundle file. Defaults to false.
      Parameters:
        `forceOverwrite` - whether or not to overwrite existing files

    - #### addFileset

          public void addFileset​(FileSet set)

      Adds a set of files to translate as a nested fileset element.
      Parameters:
        `set` - the fileset to be added

    - #### execute

          public void execute()
                       throws BuildException

      Check attributes values, load resource map and translate
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - if the required attributes are not set Required :
        - bundle
        - starttoken
        - endtoken